[SOLVED]Receiving fatal error

I’m receiving this error and I have no clue what I’m doing wrong. The system I’m using is an old computer I turned into a server. It’s in my home. I was given instructions to paste dmesg | tail -30 this and give the output:

azazppl@TJFMS:~$ dmesg | tail -30 [ 25.204397] fbcon: inteldrmfb (fb0) is primary device [ 25.229038] IPv6: ADDRCONF(NETDEV_UP): eth0: link is not ready [ 25.232186] e100 0000:05:08.0 eth0: NIC Link is Up 100 Mbps Full Duplex [ 25.232335] IPv6: ADDRCONF(NETDEV_CHANGE): eth0: link becomes ready [ 25.263429] Console: switching to colour frame buffer device 128x48 [ 25.268019] i915 0000:00:02.0: fb0: inteldrmfb frame buffer device [ 25.268021] i915 0000:00:02.0: registered panic notifier [ 25.292451] [drm] Initialized i915 1.6.0 20080730 for 0000:00:02.0 on minor 0 [ 25.557005] ppdev: user-space parallel port driver [ 25.804098] intel8x0_measure_ac97_clock: measured 52620 usecs (2536 samples) [ 25.804104] intel8x0: clocking to 48000 [ 31.281291] EXT4-fs (dm-0): re-mounted. Opts: errors=remount-ro [ 33.803367] EXT4-fs (sda1): mounting ext2 file system using the ext4 subsyste m [ 34.369462] EXT4-fs (sda1): mounted filesystem without journal. Opts: (null) [ 35.248921] init: failsafe main process (665) killed by TERM signal [ 36.502418] type=1400 audit(1414526923.044:8): apparmor="STATUS" operation="p rofile_replace" profile="unconfined" name="/sbin/dhclient" pid=750 comm="apparmo r_parser" [ 36.502437] type=1400 audit(1414526923.044:9): apparmor="STATUS" operation="p rofile_replace" profile="unconfined" name="/usr/lib/NetworkManager/nm-dhcp-clien t.action" pid=750 comm="apparmor_parser" [ 36.502446] type=1400 audit(1414526923.044:10): apparmor="STATUS" operation=" profile_replace" profile="unconfined" name="/usr/lib/connman/scripts/dhclient-sc ript" pid=750 comm="apparmor_parser" [ 36.503553] type=1400 audit(1414526923.044:11): apparmor="STATUS" operation=" profile_replace" profile="unconfined" name="/usr/lib/NetworkManager/nm-dhcp-clie nt.action" pid=750 comm="apparmor_parser" [ 36.503562] type=1400 audit(1414526923.044:12): apparmor="STATUS" operation=" profile_replace" profile="unconfined" name="/usr/lib/connman/scripts/dhclient-sc ript" pid=750 comm="apparmor_parser" [ 36.504291] type=1400 audit(1414526923.048:13): apparmor="STATUS" operation=" profile_replace" profile="unconfined" name="/usr/lib/connman/scripts/dhclient-sc ript" pid=750 comm="apparmor_parser" [ 36.515862] type=1400 audit(1414526923.056:14): apparmor="STATUS" operation=" profile_load" profile="unconfined" name="/usr/sbin/tcpdump" pid=752 comm="apparm or_parser" [ 38.665597] init: plymouth-upstart-bridge main process ended, respawning [ 931.908013] hrtimer: interrupt took 5979 ns [10774.222121] type=1400 audit(1414537660.763:15): apparmor="STATUS" operation=" profile_load" profile="unconfined" name="/usr/sbin/mysqld" pid=3381 comm="apparm or_parser" [14357.734790] ip_tables: (C) 2000-2006 Netfilter Core Team [15359.909944] type=1400 audit(1414542246.451:16): apparmor="STATUS" operation=" profile_load" profile="unconfined" name="/usr/sbin/named" pid=11183 comm="apparm or_parser" [15768.802003] perf samples too long (2504 > 2500), lowering kernel.perf_event_m ax_sample_rate to 50000 [17145.030617] type=1400 audit(1414544031.571:17): apparmor="STATUS" operation=" profile_load" profile="unconfined" name="/usr/bin/freshclam" pid=2236 comm="appa rmor_parser" [17210.484964] type=1400 audit(1414544097.027:18): apparmor="STATUS" operation=" profile_load" profile="unconfined" name="/usr/sbin/clamd" pid=4115 comm="apparmo r_parser"

And as for the error itself:

INFO - 2014-10-29 01:42:51 - Started installation log in /root/virtualmin-install.log
DEBUG - 2014-10-29 01:42:51 - Install mode: full
DEBUG - 2014-10-29 01:42:51 - Product: Virtualmin GPL
DEBUG - 2014-10-29 01:42:51 - Virtualmin Meta-Package list: virtualmin-base
DEBUG - 2014-10-29 01:42:51 - install.sh version: 1.1.1
INFO - 2014-10-29 01:42:51 - Checking for fully qualified hostname…
INFO - 2014-10-29 01:42:51 - Hostname OK: fully qualified as junkfoodmountain.com
INFO - 2014-10-29 01:42:51 - Installing serial number and license key into /etc/virtualmin-license
INFO - 2014-10-29 01:42:51 - Loading OS selection library…
INFO - 2014-10-29 01:42:51 - Download of http://software.virtualmin.com/lib/oschooser.pl Succeeded.
INFO - 2014-10-29 01:42:52 - Loading OS list…
INFO - 2014-10-29 01:42:52 - Download of http://software.virtualmin.com/lib/os_list.txt Succeeded.
INFO - 2014-10-29 01:42:52 - Operating system name: Ubuntu Linux
INFO - 2014-10-29 01:42:52 - Operating system version: 14.04.1
INFO - 2014-10-29 01:42:52 - Configuring package manager for Ubuntu Linux 14.04.1…
INFO - 2014-10-29 01:42:52 - Enabling universe repositories, if not already available…
INFO - 2014-10-29 01:42:52 - Disabling cdrom repositories…
INFO - 2014-10-29 01:43:25 - Cleaning up apt headers and packages, so we can start fresh…
INFO - 2014-10-29 01:43:26 -
INFO - 2014-10-29 01:43:26 - Download of http://software.virtualmin.com/lib/apt.conf.noninteractive Succeeded.
INFO - 2014-10-29 01:43:26 - Installing Webmin and Virtualmin package signing keys…
INFO - 2014-10-29 01:43:26 - Download of http://software.virtualmin.com/lib/RPM-GPG-KEY-virtualmin Succeeded.
INFO - 2014-10-29 01:43:27 - Download of http://software.virtualmin.com/lib/RPM-GPG-KEY-webmin Succeeded.
INFO - 2014-10-29 01:43:27 - OK
INFO - 2014-10-29 01:43:27 - OK
INFO - 2014-10-29 01:43:59 - Ign
INFO - 2014-10-29 01:43:59 - Removing Debian standard Webmin package, if they exist…
INFO - 2014-10-29 01:43:59 - Removing Debian apache packages…
DEBUG - 2014-10-29 01:44:20 - Reading
INFO - 2014-10-29 01:44:20 - Installing dependencies using command: /usr/bin/apt-get --config-file apt.conf.noninteractive -y --force-yes install postfix postfix-pcre webmin usermin ruby libxml-simple-perl libcrypt-ssleay-perl unzip zip libfcgi-dev bind9 spamassassin spamc procmail procmail-wrapper libnet-ssleay-perl libpg-perl libdbd-pg-perl libdbd-mysql-perl quota iptables openssl python mailman subversion ruby irb rdoc ri mysql-server mysql-client mysql-common postgresql postgresql-client awstats webalizer dovecot-common dovecot-imapd dovecot-pop3d proftpd libcrypt-ssleay-perl awstats clamav-base clamav-daemon clamav clamav-freshclam clamav-docs clamav-testfiles libapache2-mod-fcgid apache2-suexec-custom scponly apache2 apache2-doc libapache2-svn libsasl2-2 libsasl2-modules sasl2-bin php-pear php5 php5-cgi libapache2-mod-php5 php5-mysql
Reading package lists…
Building dependency tree…
Reading state information…
bind9 is already the newest version.
iptables is already the newest version.
libdbd-mysql-perl is already the newest version.
libnet-ssleay-perl is already the newest version.
libsasl2-2 is already the newest version.
libsasl2-modules is already the newest version.
postfix is already the newest version.
python is already the newest version.
spamassassin is already the newest version.
spamc is already the newest version.
spamc set to manually installed.
proftpd-basic is already the newest version.
dovecot-core is already the newest version.
dovecot-imapd is already the newest version.
dovecot-pop3d is already the newest version.
mysql-common is already the newest version.
mysql-server is already the newest version.
openssl is already the newest version.
php5-cgi is already the newest version.
php5-cgi set to manually installed.
php5-mysql is already the newest version.
webmin is already the newest version.
The following extra packages will be installed:
db-util db5.3-util libapache2-mod-svn libclamav6 libfcgi0ldbl libltdl7
libnet-xwhois-perl libpq5 libruby1.9.1 libserf-1-1 libsvn1
libxml-namespacesupport-perl libxml-parser-perl libxml-sax-base-perl
libxml-sax-expat-perl libxml-sax-perl libyaml-0-2 postgresql-9.3
postgresql-client-9.3 postgresql-client-common postgresql-common ri1.9.1
ruby1.9.1
Suggested packages:
apache2-utils libgeo-ipfree-perl daemon libclamunrar6 lynx listadmin
php5-dev oidentd ident-server locales-all postgresql-doc-9.3
libnet-ldap-perl rpcbind portmap ruby-dev ruby1.9.1-examples graphviz
ruby1.9.1-dev ruby-switch subversion-tools
The following NEW packages will be installed:
apache2 apache2-doc apache2-suexec-custom awstats clamav clamav-base
clamav-daemon clamav-docs clamav-freshclam clamav-testfiles db-util
db5.3-util libapache2-mod-fcgid libapache2-mod-php5 libapache2-mod-svn
libapache2-svn libclamav6 libcrypt-ssleay-perl libdbd-pg-perl libfcgi-dev
libfcgi0ldbl libltdl7 libnet-xwhois-perl libpg-perl libpq5 libruby1.9.1
libserf-1-1 libsvn1 libxml-namespacesupport-perl libxml-parser-perl
libxml-sax-base-perl libxml-sax-expat-perl libxml-sax-perl
libxml-simple-perl libyaml-0-2 mailman mysql-client php-pear php5
postfix-pcre postgresql postgresql-9.3 postgresql-client
postgresql-client-9.3 postgresql-client-common postgresql-common procmail
procmail-wrapper quota ri ri1.9.1 ruby ruby1.9.1 sasl2-bin scponly
subversion unzip usermin webalizer zip
0 upgraded, 60 newly installed, 0 to remove and 0 not upgraded.
Need to get 39.0 MB of archives.
After this operation, 191 MB of additional disk space will be used.
Get:1 http://us.archive.ubuntu.com/ubuntu/ trusty/main libltdl7 i386 2.4.2-1.7ubuntu1 [35.2 kB]
Get:2 http://software.virtualmin.com/gpl/ubuntu/ virtualmin-universal/main usermin all 1.600 [9280 kB]
Get:3 http://us.archive.ubuntu.com/ubuntu/ trusty-updates/main libserf-1-1 i386 1.3.3-1ubuntu0.1 [42.4 kB]
Get:4 http://us.archive.ubuntu.com/ubuntu/ trusty-updates/main libsvn1 i386 1.8.8-1ubuntu3.1 [907 kB]
Get:5 http://us.archive.ubuntu.com/ubuntu/ trusty/main libyaml-0-2 i386 0.1.4-3ubuntu3 [46.4 kB]
Get:6 http://us.archive.ubuntu.com/ubuntu/ trusty-updates/main apache2 i386 2.4.7-1ubuntu4.1 [87.6 kB]
Get:7 http://us.archive.ubuntu.com/ubuntu/ trusty/main mailman i386 1:2.1.16-2 [4277 kB]
Get:8 http://us.archive.ubuntu.com/ubuntu/ trusty/universe webalizer i386 2.23.08-1 [359 kB]
Get:9 http://us.archive.ubuntu.com/ubuntu/ trusty-updates/main apache2-doc all 2.4.7-1ubuntu4.1 [2621 kB]
Get:10 http://us.archive.ubuntu.com/ubuntu/ trusty/main awstats all 7.2+dfsg-1 [778 kB]
Get:11 http://us.archive.ubuntu.com/ubuntu/ trusty-updates/main libclamav6 i386 0.98.1+dfsg-4ubuntu1.1 [3201 kB]
Get:12 http://us.archive.ubuntu.com/ubuntu/ trusty-updates/main clamav-base all 0.98.1+dfsg-4ubuntu1.1 [104 kB]
Get:13 http://us.archive.ubuntu.com/ubuntu/ trusty-updates/main clamav-freshclam i386 0.98.1+dfsg-4ubuntu1.1 [104 kB]
Get:14 http://us.archive.ubuntu.com/ubuntu/ trusty-updates/main clamav i386 0.98.1+dfsg-4ubuntu1.1 [80.8 kB]
Get:15 http://us.archive.ubuntu.com/ubuntu/ trusty-updates/main clamav-daemon i386 0.98.1+dfsg-4ubuntu1.1 [129 kB]
Get:16 http://us.archive.ubuntu.com/ubuntu/ trusty-updates/main clamav-docs all 0.98.1+dfsg-4ubuntu1.1 [1030 kB]
Get:17 http://us.archive.ubuntu.com/ubuntu/ trusty-updates/universe clamav-testfiles all 0.98.1+dfsg-4ubuntu1.1 [2866 kB]
Get:18 http://us.archive.ubuntu.com/ubuntu/ trusty/main db5.3-util i386 5.3.28-3ubuntu3 [62.9 kB]
Get:19 http://us.archive.ubuntu.com/ubuntu/ trusty/universe libapache2-mod-fcgid i386 1:2.3.9-1 [71.0 kB]
Get:20 http://us.archive.ubuntu.com/ubuntu/ trusty-updates/main libapache2-mod-php5 i386 5.5.9+dfsg-1ubuntu4.4 [2145 kB]
Get:21 http://us.archive.ubuntu.com/ubuntu/ trusty-updates/universe libapache2-mod-svn i386 1.8.8-1ubuntu3.1 [79.4 kB]
Get:22 http://us.archive.ubuntu.com/ubuntu/ trusty/universe libcrypt-ssleay-perl i386 0.58-1build1 [40.2 kB]
Get:23 http://us.archive.ubuntu.com/ubuntu/ trusty-updates/main libpq5 i386 9.3.5-0ubuntu0.14.04.1 [79.5 kB]
Get:24 http://us.archive.ubuntu.com/ubuntu/ trusty/universe libdbd-pg-perl i386 2.19.3-2 [188 kB]
Get:25 http://us.archive.ubuntu.com/ubuntu/ trusty/main libfcgi0ldbl i386 2.4.0-8.1ubuntu5 [161 kB]
Get:26 http://us.archive.ubuntu.com/ubuntu/ trusty/main libfcgi-dev i386 2.4.0-8.1ubuntu5 [29.4 kB]
Get:27 http://us.archive.ubuntu.com/ubuntu/ trusty/main libnet-xwhois-perl all 0.90-4 [21.0 kB]
Get:28 http://us.archive.ubuntu.com/ubuntu/ trusty/universe libpg-perl i386 1:2.1.1-4build3 [50.4 kB]
Get:29 http://us.archive.ubuntu.com/ubuntu/ trusty/main ruby all 1:1.9.3.4 [5334 B]
Get:30 http://us.archive.ubuntu.com/ubuntu/ trusty/main ruby1.9.1 i386 1.9.3.484-2ubuntu1 [35.6 kB]
Get:31 http://us.archive.ubuntu.com/ubuntu/ trusty/main libruby1.9.1 i386 1.9.3.484-2ubuntu1 [2678 kB]
Get:32 http://us.archive.ubuntu.com/ubuntu/ trusty/main libxml-namespacesupport-perl all 1.11-1 [13.2 kB]
Get:33 http://us.archive.ubuntu.com/ubuntu/ trusty/main libxml-parser-perl i386 2.41-1build3 [299 kB]
Get:34 http://us.archive.ubuntu.com/ubuntu/ trusty/main libxml-sax-base-perl all 1.07-1 [21.5 kB]
Get:35 http://us.archive.ubuntu.com/ubuntu/ trusty/main libxml-sax-perl all 0.99+dfsg-2ubuntu1 [64.6 kB]
Get:36 http://us.archive.ubuntu.com/ubuntu/ trusty/main libxml-sax-expat-perl all 0.40-2 [11.5 kB]
Get:37 http://us.archive.ubuntu.com/ubuntu/ trusty/main libxml-simple-perl all 2.20-1 [68.3 kB]
Get:38 http://us.archive.ubuntu.com/ubuntu/ trusty-updates/main mysql-client all 5.5.40-0ubuntu0.14.04.1 [12.3 kB]
Get:39 http://us.archive.ubuntu.com/ubuntu/ trusty-updates/main php-pear all 5.5.9+dfsg-1ubuntu4.4 [267 kB]
Get:40 http://us.archive.ubuntu.com/ubuntu/ trusty-updates/main php5 all 5.5.9+dfsg-1ubuntu4.4 [1300 B]
Get:41 http://us.archive.ubuntu.com/ubuntu/ trusty/main postfix-pcre i386 2.11.0-1 [12.9 kB]
Get:42 http://us.archive.ubuntu.com/ubuntu/ trusty/main postgresql-client-common all 154 [25.4 kB]
Get:43 http://us.archive.ubuntu.com/ubuntu/ trusty-updates/main postgresql-client-9.3 i386 9.3.5-0ubuntu0.14.04.1 [762 kB]
Get:44 http://us.archive.ubuntu.com/ubuntu/ trusty/main postgresql-common all 154 [103 kB]
Get:45 http://us.archive.ubuntu.com/ubuntu/ trusty-updates/main postgresql-9.3 i386 9.3.5-0ubuntu0.14.04.1 [2592 kB]
Get:46 http://us.archive.ubuntu.com/ubuntu/ trusty/main postgresql all 9.3+154 [5088 B]
Get:47 http://us.archive.ubuntu.com/ubuntu/ trusty/main postgresql-client all 9.3+154 [5098 B]
Get:48 http://us.archive.ubuntu.com/ubuntu/ trusty-updates/main procmail i386 3.22-21ubuntu0.1 [132 kB]
Get:49 http://us.archive.ubuntu.com/ubuntu/ trusty/main quota i386 4.01-3 [558 kB]
Get:50 http://us.archive.ubuntu.com/ubuntu/ trusty/universe ri1.9.1 all 1.9.3.484-2ubuntu1 [1508 kB]
Get:51 http://software.virtualmin.com/gpl/ubuntu/ virtualmin-trusty/main procmail-wrapper i386 1.0-2 [2980 B]
Get:52 http://software.virtualmin.com/gpl/ubuntu/ virtualmin-trusty/main scponly i386 4.8-4 [35.3 kB]
Get:53 http://us.archive.ubuntu.com/ubuntu/ trusty/universe ri all 1:1.9.3.4 [4650 B]
Get:54 http://us.archive.ubuntu.com/ubuntu/ trusty/main db-util all 1:5.3.21~exp1ubuntu1 [2724 B]
Get:55 http://us.archive.ubuntu.com/ubuntu/ trusty/main sasl2-bin i386 2.1.25.dfsg1-17build1 [129 kB]
Get:56 http://us.archive.ubuntu.com/ubuntu/ trusty-updates/main subversion i386 1.8.8-1ubuntu3.1 [277 kB]
Get:57 http://us.archive.ubuntu.com/ubuntu/ trusty/main unzip i386 6.0-9ubuntu1 [183 kB]
Get:58 http://us.archive.ubuntu.com/ubuntu/ trusty/main zip i386 3.0-8 [255 kB]
Get:59 http://us.archive.ubuntu.com/ubuntu/ trusty-updates/universe apache2-suexec-custom i386 2.4.7-1ubuntu4.1 [15.0 kB]
Get:60 http://us.archive.ubuntu.com/ubuntu/ trusty-updates/universe libapache2-svn all 1.8.8-1ubuntu3.1 [9760 B]
Preconfiguring packages …
Preconfiguring packages …
Fetched 39.0 MB in 15s (2468 kB/s)
Selecting previously unselected package libltdl7:i386.
(Reading database … 119572 files and directories currently installed.)
Preparing to unpack …/libltdl7_2.4.2-1.7ubuntu1_i386.deb …
Unpacking libltdl7:i386 (2.4.2-1.7ubuntu1) …
Selecting previously unselected package libserf-1-1:i386.
Preparing to unpack …/libserf-1-1_1.3.3-1ubuntu0.1_i386.deb …
Unpacking libserf-1-1:i386 (1.3.3-1ubuntu0.1) …
Selecting previously unselected package libsvn1:i386.
Preparing to unpack …/libsvn1_1.8.8-1ubuntu3.1_i386.deb …
Unpacking libsvn1:i386 (1.8.8-1ubuntu3.1) …
Selecting previously unselected package libyaml-0-2:i386.
Preparing to unpack …/libyaml-0-2_0.1.4-3ubuntu3_i386.deb …
Unpacking libyaml-0-2:i386 (0.1.4-3ubuntu3) …
Selecting previously unselected package apache2.
Preparing to unpack …/apache2_2.4.7-1ubuntu4.1_i386.deb …
Unpacking apache2 (2.4.7-1ubuntu4.1) …
Selecting previously unselected package mailman.
Preparing to unpack …/mailman_1%3a2.1.16-2_i386.deb …
Unpacking mailman (1:2.1.16-2) …
Selecting previously unselected package usermin.
Preparing to unpack …/archives/usermin_1.600_all.deb …
Port 20000 is already in use
Selecting previously unselected package webalizer.
Preparing to unpack …/webalizer_2.23.08-1_i386.deb …
Unpacking webalizer (2.23.08-1) …
Selecting previously unselected package apache2-doc.
Preparing to unpack …/apache2-doc_2.4.7-1ubuntu4.1_all.deb …
Unpacking apache2-doc (2.4.7-1ubuntu4.1) …
Selecting previously unselected package awstats.
Preparing to unpack …/awstats_7.2+dfsg-1_all.deb …
Unpacking awstats (7.2+dfsg-1) …
Selecting previously unselected package libclamav6.
Preparing to unpack …/libclamav6_0.98.1+dfsg-4ubuntu1.1_i386.deb …
Unpacking libclamav6 (0.98.1+dfsg-4ubuntu1.1) …
Selecting previously unselected package clamav-base.
Preparing to unpack …/clamav-base_0.98.1+dfsg-4ubuntu1.1_all.deb …
Unpacking clamav-base (0.98.1+dfsg-4ubuntu1.1) …
Selecting previously unselected package clamav-freshclam.
Preparing to unpack …/clamav-freshclam_0.98.1+dfsg-4ubuntu1.1_i386.deb …
Unpacking clamav-freshclam (0.98.1+dfsg-4ubuntu1.1) …
Selecting previously unselected package clamav.
Preparing to unpack …/clamav_0.98.1+dfsg-4ubuntu1.1_i386.deb …
Unpacking clamav (0.98.1+dfsg-4ubuntu1.1) …
Selecting previously unselected package clamav-daemon.
Preparing to unpack …/clamav-daemon_0.98.1+dfsg-4ubuntu1.1_i386.deb …
Unpacking clamav-daemon (0.98.1+dfsg-4ubuntu1.1) …
Selecting previously unselected package clamav-docs.
Preparing to unpack …/clamav-docs_0.98.1+dfsg-4ubuntu1.1_all.deb …
Unpacking clamav-docs (0.98.1+dfsg-4ubuntu1.1) …
Selecting previously unselected package clamav-testfiles.
Preparing to unpack …/clamav-testfiles_0.98.1+dfsg-4ubuntu1.1_all.deb …
Unpacking clamav-testfiles (0.98.1+dfsg-4ubuntu1.1) …
Selecting previously unselected package db5.3-util.
Preparing to unpack …/db5.3-util_5.3.28-3ubuntu3_i386.deb …
Unpacking db5.3-util (5.3.28-3ubuntu3) …
Selecting previously unselected package libapache2-mod-fcgid.
Preparing to unpack …/libapache2-mod-fcgid_1%3a2.3.9-1_i386.deb …
Unpacking libapache2-mod-fcgid (1:2.3.9-1) …
Selecting previously unselected package libapache2-mod-php5.
Preparing to unpack …/libapache2-mod-php5_5.5.9+dfsg-1ubuntu4.4_i386.deb …
Unpacking libapache2-mod-php5 (5.5.9+dfsg-1ubuntu4.4) …
Selecting previously unselected package libapache2-mod-svn.
Preparing to unpack …/libapache2-mod-svn_1.8.8-1ubuntu3.1_i386.deb …
Unpacking libapache2-mod-svn (1.8.8-1ubuntu3.1) …
Selecting previously unselected package libcrypt-ssleay-perl.
Preparing to unpack …/libcrypt-ssleay-perl_0.58-1build1_i386.deb …
Unpacking libcrypt-ssleay-perl (0.58-1build1) …
Selecting previously unselected package libpq5.
Preparing to unpack …/libpq5_9.3.5-0ubuntu0.14.04.1_i386.deb …
Unpacking libpq5 (9.3.5-0ubuntu0.14.04.1) …
Selecting previously unselected package libdbd-pg-perl.
Preparing to unpack …/libdbd-pg-perl_2.19.3-2_i386.deb …
Unpacking libdbd-pg-perl (2.19.3-2) …
Selecting previously unselected package libfcgi0ldbl.
Preparing to unpack …/libfcgi0ldbl_2.4.0-8.1ubuntu5_i386.deb …
Unpacking libfcgi0ldbl (2.4.0-8.1ubuntu5) …
Selecting previously unselected package libfcgi-dev.
Preparing to unpack …/libfcgi-dev_2.4.0-8.1ubuntu5_i386.deb …
Unpacking libfcgi-dev (2.4.0-8.1ubuntu5) …
Selecting previously unselected package libnet-xwhois-perl.
Preparing to unpack …/libnet-xwhois-perl_0.90-4_all.deb …
Unpacking libnet-xwhois-perl (0.90-4) …
Selecting previously unselected package libpg-perl.
Preparing to unpack …/libpg-perl_1%3a2.1.1-4build3_i386.deb …
Unpacking libpg-perl (1:2.1.1-4build3) …
Selecting previously unselected package ruby.
Preparing to unpack …/ruby_1%3a1.9.3.4_all.deb …
Unpacking ruby (1:1.9.3.4) …
Selecting previously unselected package ruby1.9.1.
Preparing to unpack …/ruby1.9.1_1.9.3.484-2ubuntu1_i386.deb …
Unpacking ruby1.9.1 (1.9.3.484-2ubuntu1) …
Selecting previously unselected package libruby1.9.1.
Preparing to unpack …/libruby1.9.1_1.9.3.484-2ubuntu1_i386.deb …
Unpacking libruby1.9.1 (1.9.3.484-2ubuntu1) …
Selecting previously unselected package libxml-namespacesupport-perl.
Preparing to unpack …/libxml-namespacesupport-perl_1.11-1_all.deb …
Unpacking libxml-namespacesupport-perl (1.11-1) …
Selecting previously unselected package libxml-parser-perl.
Preparing to unpack …/libxml-parser-perl_2.41-1build3_i386.deb …
Unpacking libxml-parser-perl (2.41-1build3) …
Selecting previously unselected package libxml-sax-base-perl.
Preparing to unpack …/libxml-sax-base-perl_1.07-1_all.deb …
Unpacking libxml-sax-base-perl (1.07-1) …
Selecting previously unselected package libxml-sax-perl.
Preparing to unpack …/libxml-sax-perl_0.99+dfsg-2ubuntu1_all.deb …
Unpacking libxml-sax-perl (0.99+dfsg-2ubuntu1) …
Selecting previously unselected package libxml-sax-expat-perl.
Preparing to unpack …/libxml-sax-expat-perl_0.40-2_all.deb …
Unpacking libxml-sax-expat-perl (0.40-2) …
Selecting previously unselected package libxml-simple-perl.
Preparing to unpack …/libxml-simple-perl_2.20-1_all.deb …
Unpacking libxml-simple-perl (2.20-1) …
Selecting previously unselected package mysql-client.
Preparing to unpack …/mysql-client_5.5.40-0ubuntu0.14.04.1_all.deb …
Unpacking mysql-client (5.5.40-0ubuntu0.14.04.1) …
Selecting previously unselected package php-pear.
Preparing to unpack …/php-pear_5.5.9+dfsg-1ubuntu4.4_all.deb …
Unpacking php-pear (5.5.9+dfsg-1ubuntu4.4) …
Selecting previously unselected package php5.
Preparing to unpack …/php5_5.5.9+dfsg-1ubuntu4.4_all.deb …
Unpacking php5 (5.5.9+dfsg-1ubuntu4.4) …
Selecting previously unselected package postfix-pcre.
Preparing to unpack …/postfix-pcre_2.11.0-1_i386.deb …
Unpacking postfix-pcre (2.11.0-1) …
Selecting previously unselected package postgresql-client-common.
Preparing to unpack …/postgresql-client-common_154_all.deb …
Unpacking postgresql-client-common (154) …
Selecting previously unselected package postgresql-client-9.3.
Preparing to unpack …/postgresql-client-9.3_9.3.5-0ubuntu0.14.04.1_i386.deb …
Unpacking postgresql-client-9.3 (9.3.5-0ubuntu0.14.04.1) …
Selecting previously unselected package postgresql-common.
Preparing to unpack …/postgresql-common_154_all.deb …
Adding ‘diversion of /usr/bin/pg_config to /usr/bin/pg_config.libpq-dev by postgresql-common’
Unpacking postgresql-common (154) …
Selecting previously unselected package postgresql-9.3.
Preparing to unpack …/postgresql-9.3_9.3.5-0ubuntu0.14.04.1_i386.deb …
Unpacking postgresql-9.3 (9.3.5-0ubuntu0.14.04.1) …
Selecting previously unselected package postgresql.
Preparing to unpack …/postgresql_9.3+154_all.deb …
Unpacking postgresql (9.3+154) …
Selecting previously unselected package postgresql-client.
Preparing to unpack …/postgresql-client_9.3+154_all.deb …
Unpacking postgresql-client (9.3+154) …
Selecting previously unselected package procmail.
Preparing to unpack …/procmail_3.22-21ubuntu0.1_i386.deb …
Unpacking procmail (3.22-21ubuntu0.1) …
Selecting previously unselected package procmail-wrapper.
Preparing to unpack …/procmail-wrapper_1.0-2_i386.deb …
Unpacking procmail-wrapper (1.0-2) …
Selecting previously unselected package quota.
Preparing to unpack …/archives/quota_4.01-3_i386.deb …
Unpacking quota (4.01-3) …
Selecting previously unselected package ri1.9.1.
Preparing to unpack …/ri1.9.1_1.9.3.484-2ubuntu1_all.deb …
Unpacking ri1.9.1 (1.9.3.484-2ubuntu1) …
Selecting previously unselected package ri.
Preparing to unpack …/ri_1%3a1.9.3.4_all.deb …
Unpacking ri (1:1.9.3.4) …
Selecting previously unselected package db-util.
Preparing to unpack …/db-util_1%3a5.3.21~exp1ubuntu1_all.deb …
Unpacking db-util (1:5.3.21~exp1ubuntu1) …
Selecting previously unselected package sasl2-bin.
Preparing to unpack …/sasl2-bin_2.1.25.dfsg1-17build1_i386.deb …
Unpacking sasl2-bin (2.1.25.dfsg1-17build1) …
Selecting previously unselected package scponly.
Preparing to unpack …/scponly_4.8-4_i386.deb …
Unpacking scponly (4.8-4) …
Selecting previously unselected package subversion.
Preparing to unpack …/subversion_1.8.8-1ubuntu3.1_i386.deb …
Unpacking subversion (1.8.8-1ubuntu3.1) …
Selecting previously unselected package unzip.
Preparing to unpack …/unzip_6.0-9ubuntu1_i386.deb …
Unpacking unzip (6.0-9ubuntu1) …
Selecting previously unselected package zip.
Preparing to unpack …/archives/zip_3.0-8_i386.deb …
Unpacking zip (3.0-8) …
Selecting previously unselected package apache2-suexec-custom.
Preparing to unpack …/apache2-suexec-custom_2.4.7-1ubuntu4.1_i386.deb …
Unpacking apache2-suexec-custom (2.4.7-1ubuntu4.1) …
Selecting previously unselected package libapache2-svn.
Preparing to unpack …/libapache2-svn_1.8.8-1ubuntu3.1_all.deb …
Unpacking libapache2-svn (1.8.8-1ubuntu3.1) …
Processing triggers for ureadahead (0.100.0-16) …
Processing triggers for ufw (0.34~rc-0ubuntu2) …
Processing triggers for man-db (2.6.7.1-1ubuntu1) …
Processing triggers for mime-support (3.54ubuntu1) …
FATAL - 2014-10-29 01:46:04 - Fatal Error Occurred: Something went wrong during installation: 0
FATAL - 2014-10-29 01:46:04 - Cannot continue installation.
FATAL - 2014-10-29 01:46:04 - Attempting to remove virtualmin repository configuration, so the installation can be
FATAL - 2014-10-29 01:46:04 - re-attempted after any problems have been resolved.
FATAL - 2014-10-29 01:46:04 - Removing temporary directory and files.
FATAL - 2014-10-29 01:46:04 - If you are unsure of what went wrong, you may wish to review the log
FATAL - 2014-10-29 01:46:04 - in /root/virtualmin-install.log
INFO - 2014-10-29 01:52:15 - Started installation log in /root/virtualmin-install.log
DEBUG - 2014-10-29 01:52:15 - Install mode: full
DEBUG - 2014-10-29 01:52:15 - Product: Virtualmin GPL
DEBUG - 2014-10-29 01:52:15 - Virtualmin Meta-Package list: virtualmin-base
DEBUG - 2014-10-29 01:52:15 - install.sh version: 1.1.1
INFO - 2014-10-29 01:52:15 - Checking for fully qualified hostname…
INFO - 2014-10-29 01:52:15 - Hostname OK: fully qualified as junkfoodmountain.com
INFO - 2014-10-29 01:52:15 - Installing serial number and license key into /etc/virtualmin-license
INFO - 2014-10-29 01:52:15 - Loading OS selection library…
INFO - 2014-10-29 01:52:16 - Download of http://software.virtualmin.com/lib/oschooser.pl Succeeded.
INFO - 2014-10-29 01:52:16 - Loading OS list…
INFO - 2014-10-29 01:52:16 - Download of http://software.virtualmin.com/lib/os_list.txt Succeeded.
INFO - 2014-10-29 01:52:16 - Operating system name: Ubuntu Linux
INFO - 2014-10-29 01:52:16 - Operating system version: 14.04.1
INFO - 2014-10-29 01:52:16 - Configuring package manager for Ubuntu Linux 14.04.1…
INFO - 2014-10-29 01:52:16 - Enabling universe repositories, if not already available…
INFO - 2014-10-29 01:52:16 - Disabling cdrom repositories…
INFO - 2014-10-29 01:52:47 - Cleaning up apt headers and packages, so we can start fresh…
INFO - 2014-10-29 01:52:47 -
INFO - 2014-10-29 01:52:48 - Download of http://software.virtualmin.com/lib/apt.conf.noninteractive Succeeded.
INFO - 2014-10-29 01:52:48 - Installing Webmin and Virtualmin package signing keys…
INFO - 2014-10-29 01:52:48 - Download of http://software.virtualmin.com/lib/RPM-GPG-KEY-virtualmin Succeeded.
INFO - 2014-10-29 01:52:49 - Download of http://software.virtualmin.com/lib/RPM-GPG-KEY-webmin Succeeded.
INFO - 2014-10-29 01:52:49 - OK
INFO - 2014-10-29 01:52:49 - OK
INFO - 2014-10-29 01:53:19 - Ign
INFO - 2014-10-29 01:53:20 - Removing Debian standard Webmin package, if they exist…
INFO - 2014-10-29 01:53:20 - Removing Debian apache packages…
DEBUG - 2014-10-29 01:55:45 - Reading
INFO - 2014-10-29 01:55:45 - Installing dependencies using command: /usr/bin/apt-get --config-file apt.conf.noninteractive -y --force-yes install postfix postfix-pcre webmin usermin ruby libxml-simple-perl libcrypt-ssleay-perl unzip zip libfcgi-dev bind9 spamassassin spamc procmail procmail-wrapper libnet-ssleay-perl libpg-perl libdbd-pg-perl libdbd-mysql-perl quota iptables openssl python mailman subversion ruby irb rdoc ri mysql-server mysql-client mysql-common postgresql postgresql-client awstats webalizer dovecot-common dovecot-imapd dovecot-pop3d proftpd libcrypt-ssleay-perl awstats clamav-base clamav-daemon clamav clamav-freshclam clamav-docs clamav-testfiles libapache2-mod-fcgid apache2-suexec-custom scponly apache2 apache2-doc libapache2-svn libsasl2-2 libsasl2-modules sasl2-bin php-pear php5 php5-cgi libapache2-mod-php5 php5-mysql
Reading package lists…
Building dependency tree…
Reading state information…
awstats is already the newest version.
bind9 is already the newest version.
iptables is already the newest version.
libdbd-mysql-perl is already the newest version.
libfcgi-dev is already the newest version.
libnet-ssleay-perl is already the newest version.
libsasl2-2 is already the newest version.
libsasl2-modules is already the newest version.
libxml-simple-perl is already the newest version.
mailman is already the newest version.
postfix is already the newest version.
postfix-pcre is already the newest version.
postgresql is already the newest version.
postgresql-client is already the newest version.
python is already the newest version.
quota is already the newest version.
ruby is already the newest version.
sasl2-bin is already the newest version.
spamassassin is already the newest version.
spamc is already the newest version.
unzip is already the newest version.
zip is already the newest version.
libapache2-mod-fcgid is already the newest version.
libcrypt-ssleay-perl is already the newest version.
libdbd-pg-perl is already the newest version.
libpg-perl is already the newest version.
proftpd-basic is already the newest version.
ri is already the newest version.
webalizer is already the newest version.
apache2-doc is already the newest version.
clamav is already the newest version.
clamav-base is already the newest version.
clamav-daemon is already the newest version.
clamav-docs is already the newest version.
clamav-freshclam is already the newest version.
dovecot-core is already the newest version.
dovecot-imapd is already the newest version.
dovecot-pop3d is already the newest version.
mysql-client is already the newest version.
mysql-common is already the newest version.
mysql-server is already the newest version.
openssl is already the newest version.
php-pear is already the newest version.
php5 is already the newest version.
php5-cgi is already the newest version.
php5-mysql is already the newest version.
procmail is already the newest version.
subversion is already the newest version.
apache2-suexec-custom is already the newest version.
clamav-testfiles is already the newest version.
libapache2-svn is already the newest version.
procmail-wrapper is already the newest version.
scponly is already the newest version.
webmin is already the newest version.
Suggested packages:
apache2-utils
The following NEW packages will be installed:
apache2 libapache2-mod-php5 usermin
0 upgraded, 3 newly installed, 0 to remove and 0 not upgraded.
1 not fully installed or removed.
Need to get 11.5 MB of archives.
After this operation, 51.0 MB of additional disk space will be used.
Get:1 http://us.archive.ubuntu.com/ubuntu/ trusty-updates/main apache2 i386 2.4.7-1ubuntu4.1 [87.6 kB]
Get:2 http://software.virtualmin.com/gpl/ubuntu/ virtualmin-universal/main usermin all 1.600 [9280 kB]
Get:3 http://us.archive.ubuntu.com/ubuntu/ trusty-updates/main libapache2-mod-php5 i386 5.5.9+dfsg-1ubuntu4.4 [2145 kB]
Fetched 11.5 MB in 7s (1521 kB/s)
(Reading database … 144156 files and directories currently installed.)
Preparing to unpack …/archives/usermin_1.600_all.deb …
Port 20000 is already in use
Selecting previously unselected package apache2.
Preparing to unpack …/apache2_2.4.7-1ubuntu4.1_i386.deb …
Unpacking apache2 (2.4.7-1ubuntu4.1) …
Selecting previously unselected package libapache2-mod-php5.
Preparing to unpack …/libapache2-mod-php5_5.5.9+dfsg-1ubuntu4.4_i386.deb …
Unpacking libapache2-mod-php5 (5.5.9+dfsg-1ubuntu4.4) …
Processing triggers for ureadahead (0.100.0-16) …
Processing triggers for ufw (0.34~rc-0ubuntu2) …
Processing triggers for man-db (2.6.7.1-1ubuntu1) …
FATAL - 2014-10-29 01:56:22 - Fatal Error Occurred: Something went wrong during installation: 0
FATAL - 2014-10-29 01:56:22 - Cannot continue installation.
FATAL - 2014-10-29 01:56:22 - Attempting to remove virtualmin repository configuration, so the installation can be
FATAL - 2014-10-29 01:56:22 - re-attempted after any problems have been resolved.
FATAL - 2014-10-29 01:56:22 - Removing temporary directory and files.
FATAL - 2014-10-29 01:56:23 - If you are unsure of what went wrong, you may wish to review the log
FATAL - 2014-10-29 01:56:23 - in /root/virtualmin-install.log

Howdy,

Hmm, I’m not sure what would cause that error from the above output.

I’m curious what error you receive, if any, if you run this command on the command line as root:

apt-get install apache2 apache2-doc apache2-suexec-custom awstats clamav clamav-base clamav-daemon clamav-docs clamav-freshclam clamav-testfiles db-util db5.3-util libapache2-mod-fcgid libapache2-mod-php5 libapache2-mod-svn libapache2-svn libclamav6 libcrypt-ssleay-perl libdbd-pg-perl libfcgi-dev libfcgi0ldbl libltdl7 libnet-xwhois-perl libpg-perl libpq5 libruby1.9.1 libserf-1-1 libsvn1 libxml-namespacesupport-perl libxml-parser-perl libxml-sax-base-perl libxml-sax-expat-perl libxml-sax-perl libxml-simple-perl libyaml-0-2 mailman mysql-client php-pear php5 postfix-pcre postgresql postgresql-9.3 postgresql-client postgresql-client-9.3 postgresql-client-common postgresql-common procmail procmail-wrapper quota ri ri1.9.1 ruby ruby1.9.1 sasl2-bin scponly subversion unzip webalizer zip

Also, one other command that might help diagnose what’s going on – what is the output of this:

free -m

Hello andreycheck sorry for the late reply just came from work.

I’ve tried running the first command you gave me and this is what the the output is:

procmail is already the newest version.
subversion is already the newest version.
apache2-suexec-custom is already the newest version.
clamav-testfiles is already the newest version.
libapache2-mod-svn is already the newest version.
libapache2-svn is already the newest version.
scponly is already the newest version.
procmail-wrapper is already the newest version.
The following packages were automatically installed and are no longer required:
linux-headers-3.13.0-32 linux-headers-3.13.0-32-generic
linux-image-3.13.0-32-generic linux-image-extra-3.13.0-32-generic
Use ‘apt-get autoremove’ to remove them.
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
1 not fully installed or removed.
After this operation, 0 B of additional disk space will be used.
Do you want to continue? [Y/n] Y
Setting up libapache2-mod-fcgid (1:2.3.9-1) …
chown: cannot access ‘/var/lib/apache2/fcgid’: No such file or directory
dpkg: error processing package libapache2-mod-fcgid (–configure):
subprocess installed post-installation script returned error exit status 1
Errors were encountered while processing:
libapache2-mod-fcgid
E: Sub-process /usr/bin/dpkg returned an error code (1)
root@TJFMS:~#

Looks like something is wrong with libapache2-mod-fcgid

Running the second command gave me this:

root@TJFMS:~# free -m
total used free shared buffers cached
Mem: 740 657 83 15 10 280
-/+ buffers/cache: 366 374
Swap: 759 66 693
root@TJFMS:~#

Howdy,

Are you by chance running the desktop version of Ubuntu? That is, is there a GUI on that system?

Your server appears to be pretty low on RAM, and it may be running into memory constraints.

Regarding that Apache issue, try running these two commands, which should correct it. You shouldn’t normally need to run these though, but it should help with the issue you’re currently seeing:

mkdir /var/lib/apache2/fcgid/ chown www-data /var/lib/apache2/fcgid/

Once you run those commands, try re-running the “apt-get install …” command from above to install all those packages.

-Eric

Hell Eric,

Im not running the desktop version. Logging into webmin I can see what uses up all the ram. Here is a picture of what is going: http://prntscr.com/50yusz

Your solution for the Apache issue helped running the apt-get without any errors. Should I now re-run the install.sh of virtualmin? Or try to make the RAM usage lower just to make sure we can run it fine this time.

Howdy,

You could try running the install.sh now – now that all those packages are installed, it may complete the installation properly.

However, if you happen to have more RAM laying around around, putting that into your server wouldn’t hurt :slight_smile:

-Eric

Hello Eric,

Unfortunately after trying it again it didn’t work.

INFO - 2014-10-29 17:57:05 - Started installation log in /root/virtualmin-install.log
DEBUG - 2014-10-29 17:57:05 - Install mode: full
DEBUG - 2014-10-29 17:57:05 - Product: Virtualmin GPL
DEBUG - 2014-10-29 17:57:05 - Virtualmin Meta-Package list: virtualmin-base
DEBUG - 2014-10-29 17:57:05 - install.sh version: 1.1.1
INFO - 2014-10-29 17:57:05 - Checking for fully qualified hostname…
INFO - 2014-10-29 17:57:05 - Hostname OK: fully qualified as junkfoodmountain.com
INFO - 2014-10-29 17:57:05 - Installing serial number and license key into /etc/virtualmin-license
INFO - 2014-10-29 17:57:06 - Loading OS selection library…
INFO - 2014-10-29 17:57:06 - Download of http://software.virtualmin.com/lib/oschooser.pl Succeeded.
INFO - 2014-10-29 17:57:06 - Loading OS list…
INFO - 2014-10-29 17:57:06 - Download of http://software.virtualmin.com/lib/os_list.txt Succeeded.
INFO - 2014-10-29 17:57:06 - Operating system name: Ubuntu Linux
INFO - 2014-10-29 17:57:07 - Operating system version: 14.04.1
INFO - 2014-10-29 17:57:07 - Configuring package manager for Ubuntu Linux 14.04.1…
INFO - 2014-10-29 17:57:07 - Enabling universe repositories, if not already available…
INFO - 2014-10-29 17:57:07 - Disabling cdrom repositories…
INFO - 2014-10-29 17:57:42 - Cleaning up apt headers and packages, so we can start fresh…
INFO - 2014-10-29 17:57:42 -
INFO - 2014-10-29 17:57:43 - Download of http://software.virtualmin.com/lib/apt.conf.noninteractive Succeeded.
INFO - 2014-10-29 17:57:43 - Installing Webmin and Virtualmin package signing keys…
INFO - 2014-10-29 17:57:43 - Download of http://software.virtualmin.com/lib/RPM-GPG-KEY-virtualmin Succeeded.
INFO - 2014-10-29 17:57:44 - Download of http://software.virtualmin.com/lib/RPM-GPG-KEY-webmin Succeeded.
INFO - 2014-10-29 17:57:44 - OK
INFO - 2014-10-29 17:57:44 - OK
INFO - 2014-10-29 17:58:16 - Ign
INFO - 2014-10-29 17:58:16 - Removing Debian standard Webmin package, if they exist…
INFO - 2014-10-29 17:58:16 - Removing Debian apache packages…
DEBUG - 2014-10-29 17:58:29 - Reading
INFO - 2014-10-29 17:58:29 - Installing dependencies using command: /usr/bin/apt-get --config-file apt.conf.noninteractive -y --force-yes install postfix postfix-pcre webmin usermin ruby libxml-simple-perl libcrypt-ssleay-perl unzip zip libfcgi-dev bind9 spamassassin spamc procmail procmail-wrapper libnet-ssleay-perl libpg-perl libdbd-pg-perl libdbd-mysql-perl quota iptables openssl python mailman subversion ruby irb rdoc ri mysql-server mysql-client mysql-common postgresql postgresql-client awstats webalizer dovecot-common dovecot-imapd dovecot-pop3d proftpd libcrypt-ssleay-perl awstats clamav-base clamav-daemon clamav clamav-freshclam clamav-docs clamav-testfiles libapache2-mod-fcgid apache2-suexec-custom scponly apache2 apache2-doc libapache2-svn libsasl2-2 libsasl2-modules sasl2-bin php-pear php5 php5-cgi libapache2-mod-php5 php5-mysql
Reading package lists…
Building dependency tree…
Reading state information…
awstats is already the newest version.
bind9 is already the newest version.
iptables is already the newest version.
libdbd-mysql-perl is already the newest version.
libfcgi-dev is already the newest version.
libnet-ssleay-perl is already the newest version.
libsasl2-2 is already the newest version.
libsasl2-modules is already the newest version.
libxml-simple-perl is already the newest version.
mailman is already the newest version.
postfix is already the newest version.
postfix-pcre is already the newest version.
postgresql is already the newest version.
postgresql-client is already the newest version.
python is already the newest version.
quota is already the newest version.
ruby is already the newest version.
sasl2-bin is already the newest version.
spamassassin is already the newest version.
spamc is already the newest version.
unzip is already the newest version.
zip is already the newest version.
libapache2-mod-fcgid is already the newest version.
libcrypt-ssleay-perl is already the newest version.
libdbd-pg-perl is already the newest version.
libpg-perl is already the newest version.
proftpd-basic is already the newest version.
ri is already the newest version.
webalizer is already the newest version.
apache2-doc is already the newest version.
clamav is already the newest version.
clamav-base is already the newest version.
clamav-daemon is already the newest version.
clamav-docs is already the newest version.
clamav-freshclam is already the newest version.
dovecot-core is already the newest version.
dovecot-imapd is already the newest version.
dovecot-pop3d is already the newest version.
mysql-client is already the newest version.
mysql-common is already the newest version.
mysql-server is already the newest version.
openssl is already the newest version.
php-pear is already the newest version.
php5 is already the newest version.
php5-cgi is already the newest version.
php5-mysql is already the newest version.
procmail is already the newest version.
subversion is already the newest version.
apache2-suexec-custom is already the newest version.
clamav-testfiles is already the newest version.
libapache2-svn is already the newest version.
procmail-wrapper is already the newest version.
scponly is already the newest version.
webmin is already the newest version.
The following packages were automatically installed and are no longer required:
linux-headers-3.13.0-32 linux-headers-3.13.0-32-generic
linux-image-3.13.0-32-generic linux-image-extra-3.13.0-32-generic
Use ‘apt-get autoremove’ to remove them.
Suggested packages:
apache2-utils
The following NEW packages will be installed:
apache2 libapache2-mod-php5 usermin
0 upgraded, 3 newly installed, 0 to remove and 0 not upgraded.
Need to get 11.5 MB of archives.
After this operation, 51.0 MB of additional disk space will be used.
Get:1 http://us.archive.ubuntu.com/ubuntu/ trusty-updates/main apache2 i386 2.4.7-1ubuntu4.1 [87.6 kB]
Get:2 http://software.virtualmin.com/gpl/ubuntu/ virtualmin-universal/main usermin all 1.600 [9280 kB]
Get:3 http://us.archive.ubuntu.com/ubuntu/ trusty-updates/main libapache2-mod-php5 i386 5.5.9+dfsg-1ubuntu4.4 [2145 kB]
Fetched 11.5 MB in 5s (1955 kB/s)
(Reading database … 174066 files and directories currently installed.)
Preparing to unpack …/archives/usermin_1.600_all.deb …
Port 20000 is already in use
Selecting previously unselected package apache2.
Preparing to unpack …/apache2_2.4.7-1ubuntu4.1_i386.deb …
Unpacking apache2 (2.4.7-1ubuntu4.1) …
Selecting previously unselected package libapache2-mod-php5.
Preparing to unpack …/libapache2-mod-php5_5.5.9+dfsg-1ubuntu4.4_i386.deb …
Unpacking libapache2-mod-php5 (5.5.9+dfsg-1ubuntu4.4) …
Processing triggers for ureadahead (0.100.0-16) …
Processing triggers for ufw (0.34~rc-0ubuntu2) …
Processing triggers for man-db (2.6.7.1-1ubuntu1) …
FATAL - 2014-10-29 17:58:46 - Fatal Error Occurred: Something went wrong during installation: 0
FATAL - 2014-10-29 17:58:46 - Cannot continue installation.
FATAL - 2014-10-29 17:58:46 - Attempting to remove virtualmin repository configuration, so the installation can be
FATAL - 2014-10-29 17:58:46 - re-attempted after any problems have been resolved.
FATAL - 2014-10-29 17:58:46 - Removing temporary directory and files.
FATAL - 2014-10-29 17:58:46 - If you are unsure of what went wrong, you may wish to review the log
FATAL - 2014-10-29 17:58:46 - in /root/virtualmin-install.log

I’m trying to get my hands on 512MB DDR but those are really hard to find now. As the old thing only has 2 RAM slots.

–EDIT

I just noticed something that is not in the log. This codeblock is from the console screen instead from the .log file.

INFO - INFO - Download of http://software.virtualmin.com/lib/apt.conf.noninteractive Succeeded. INFO - Installing Webmin and Virtualmin package signing keys... INFO - Download of http://software.virtualmin.com/lib/RPM-GPG-KEY-virtualmin Succeeded. INFO - Download of http://software.virtualmin.com/lib/RPM-GPG-KEY-webmin Succeeded. INFO - OK INFO - OK INFO - Ign INFO - Removing Debian standard Webmin package, if they exist... INFO - Removing Debian apache packages... php5_invoke prerm: Disable module gd for apache2 SAPI php5_invoke prerm: Disable module opcache for apache2 SAPI php5_invoke prerm: Disable module pdo for apache2 SAPI php5_invoke prerm: Disable module mysql for apache2 SAPI php5_invoke prerm: Disable module mysqli for apache2 SAPI php5_invoke prerm: Disable module pdo_mysql for apache2 SAPI php5_invoke prerm: Disable module mcrypt for apache2 SAPI php5_invoke prerm: Disable module json for apache2 SAPI php5_invoke prerm: Disable module readline for apache2 SAPI apache2_invoke prerm: Disable module php5 apache2_invoke postrm: Purging state for php5 dpkg: warning: while removing apache2, directory '/var/www/html' not empty so not removed dpkg: warning: while removing apache2, directory '/etc/apache2/sites-available' not empty so not removed INFO - Installing dependencies using command: /usr/bin/apt-get --config-file apt.conf.noninteractive -y --force-yes install postfix postfix-pcre webmin usermin ruby libxml-simple-perl libcrypt-ssleay-perl unzip zip libfcgi-dev bind9 spamassassin spamc procmail procmail-wrapper libnet-ssleay-perl libpg-perl libdbd-pg-perl libdbd-mysql-perl quota iptables openssl python mailman subversion ruby irb rdoc ri mysql-server mysql-client mysql-common postgresql postgresql-client awstats webalizer dovecot-common dovecot-imapd dovecot-pop3d proftpd libcrypt-ssleay-perl awstats clamav-base clamav-daemon clamav clamav-freshclam clamav-docs clamav-testfiles libapache2-mod-fcgid apache2-suexec-custom scponly apache2 apache2-doc libapache2-svn libsasl2-2 libsasl2-modules sasl2-bin php-pear php5 php5-cgi libapache2-mod-php5 php5-mysql ...in progress, please wait... .........dpkg: error processing archive /var/cache/apt/archives/usermin_1.600_all.deb (--unpack): subprocess new pre-installation script returned error exit status 2 ......Errors were encountered while processing: /var/cache/apt/archives/usermin_1.600_all.deb .E: Sub-process /usr/bin/dpkg returned an error code (1)

/usr/bin/apt-get --config-file apt.conf.noninteractive -y --force-yes install postfix postfix-pcre webmin usermin ruby libxml-simple-perl libcrypt-ssleay-perl unzip zip libfcgi-dev bind9 spamassassin spamc procmail procmail-wrapper libnet-ssleay-perl libpg-perl libdbd-pg-perl libdbd-mysql-perl quota iptables openssl python mailman subversion ruby irb rdoc ri mysql-server mysql-client mysql-common postgresql postgresql-client awstats webalizer dovecot-common dovecot-imapd dovecot-pop3d proftpd libcrypt-ssleay-perl awstats clamav-base clamav-daemon clamav clamav-freshclam clamav-docs clamav-testfiles libapache2-mod-fcgid apache2-suexec-custom scponly apache2 apache2-doc libapache2-svn libsasl2-2 libsasl2-modules sasl2-bin php-pear php5 php5-cgi libapache2-mod-php5 php5-mysql failed. Error (if any): 0

Displaying the last 15 lines of /root/virtualmin-install.log to help troubleshoot this problem:
Get:2 http://software.virtualmin.com/gpl/ubuntu/ virtualmin-universal/main usermin all 1.600 [9280 kB]
Get:3 http://us.archive.ubuntu.com/ubuntu/ trusty-updates/main libapache2-mod-php5 i386 5.5.9+dfsg-1ubuntu4.4 [2145 kB]
Fetched 11.5 MB in 5s (1955 kB/s)
(Reading database … 174066 files and directories currently installed.)
Preparing to unpack …/archives/usermin_1.600_all.deb …
Port 20000 is already in use
Selecting previously unselected package apache2.
Preparing to unpack …/apache2_2.4.7-1ubuntu4.1_i386.deb …
Unpacking apache2 (2.4.7-1ubuntu4.1) …
Selecting previously unselected package libapache2-mod-php5.
Preparing to unpack …/libapache2-mod-php5_5.5.9+dfsg-1ubuntu4.4_i386.deb …
Unpacking libapache2-mod-php5 (5.5.9+dfsg-1ubuntu4.4) …
Processing triggers for ureadahead (0.100.0-16) …
Processing triggers for ufw (0.34~rc-0ubuntu2) …
Processing triggers for man-db (2.6.7.1-1ubuntu1) …

FATAL - Fatal Error Occurred: Something went wrong during installation: 0
FATAL - Cannot continue installation.
FATAL - Attempting to remove virtualmin repository configuration, so the installation can be
FATAL - re-attempted after any problems have been resolved.
FATAL - Removing temporary directory and files.
FATAL - If you are unsure of what went wrong, you may wish to review the log
FATAL - in /root/virtualmin-install.log

You said you had Webmin installed on the system, I think you might have some conflicts as I see a mention of port 2000 already in use (Which is Usermin).

...
Fetched 11.5 MB in 5s (1955 kB/s)
(Reading database ... 174066 files and directories currently installed.)
Preparing to unpack .../archives/usermin_1.600_all.deb ...
Port 20000 is already in use
Selecting previously unselected package apache2.
...

I am not 100% sure but the error code 1 being returned could be because of that?

Also I saw this error a little bit above the previous mentioned message:

...
INFO - Installing dependencies using command: /usr/bin/apt-get --config-file apt.conf.noninteractive -y --force-yes install postfix postfix-pcre webmin usermin ruby libxml-simple-perl libcrypt-ssleay-perl unzip zip libfcgi-dev bind9 spamassassin spamc procmail procmail-wrapper libnet-ssleay-perl libpg-perl libdbd-pg-perl libdbd-mysql-perl quota iptables openssl python mailman subversion ruby irb rdoc ri mysql-server mysql-client mysql-common postgresql postgresql-client awstats webalizer dovecot-common dovecot-imapd dovecot-pop3d proftpd libcrypt-ssleay-perl awstats clamav-base clamav-daemon clamav clamav-freshclam clamav-docs clamav-testfiles libapache2-mod-fcgid apache2-suexec-custom scponly apache2 apache2-doc libapache2-svn libsasl2-2 libsasl2-modules sasl2-bin php-pear php5 php5-cgi libapache2-mod-php5 php5-mysql
...in progress, please wait...
.........dpkg: error processing archive /var/cache/apt/archives/usermin_1.600_all.deb (--unpack):
 subprocess new pre-installation script returned error exit status 2
......Errors were encountered while processing:
 /var/cache/apt/archives/usermin_1.600_all.deb
.E: Sub-process /usr/bin/dpkg returned an error code (1)
...

Hello app1egenius,

After searching the forums a little bit I found this: https://www.virtualmin.com/node/21468

By following these command I noticed that the problem is with usermin. I’m going to try and remove webmin and try reinstalling webmin without usermin.

If possible, I would just recommend removing webmin and letting the virtualmin install.sh script install it for you. It will take care of all three (Virtualmin, Webmin and Usermin).

Let us know how things work out :slight_smile:

Well me being such a noob I’ve accidentally deleted something that was important and the server broke. Guess I have to reinstall the whole server again. Just quick question. Can I install virtualmin right after I reinstalled the whole server or do I need to install LAMP and afterwards virtualmin.

You can just install Virtualmin right away. It will install BIND (DNS), Apache, MySQL, PHP and everything else it needs, including Webmin and Usermin.

Just reinstalled the whole server and right after that started install.sh. Works perfect at the moment.

Good to hear it! Let us know if you need any more assistance :slight_smile:

-Dustin